﻿ShifterLocals = {}

-- enUS locals
ShifterLocals.ChatOptions = {
	type = "group",
	args = {
		spam = {
			name  = "spam",
			desc  = "set the spam delay in seconds.",
			type  = "text",
			set   = "SetSpamDelay",
			get   = "GetSpamDelay",
			input = TRUE,
			usage = "This sets how long after shifting forms Shifter prevents reshift back to Humanoid form if you hit the bind key multiple times.  After the delay hitting the key for your current form returns you back to Humanoid form."
		},
		mount = {
			name  = "mount",
			type  = "toggle",
			desc  = "toggle whether Travel Form will attempt to use your mount.",
			set   = "SetAutoMount",
			get   = "GetAutoMount",
			input = FALSE
		},
	}
}
ShifterLocals.MountTexturs={
	"Spell_Nature_Swiftness",
	"Ability_Mount",
	"INV_Misc_Foot_Kodo"
}
ShifterLocals.HumanoidForm = 'Humanoid Form';
ShifterLocals.DireBearForm = 'Dire Bear Form';
ShifterLocals.BearForm = 'Bear Form';
ShifterLocals.CatForm = 'Cat Form';
ShifterLocals.MoonkinForm = 'Moonkin Form';
ShifterLocals.AquaticForm = 'Aquatic Form';
ShifterLocals.TravelForm = 'Travel Form';
ShifterLocals.Mount = 'Mount';

-- keybinding Header Names
BINDING_HEADER_Shifter            = 'Shifter';
BINDING_NAME_Shifter_HumanoidForm = 'Humanoid Form';
BINDING_NAME_Shifter_BearForm     = 'Bear Form';
BINDING_NAME_Shifter_CatForm      = 'Cat Form';
BINDING_NAME_Shifter_TravelForm   = 'Travel Form';
BINDING_NAME_Shifter_MoonkinForm  = 'Moonkin Form';